module.exports = function(grunt) {
  grunt.initConfig({
    jshint: {
      build: {
        files: {
          src: ['assets/time_out/jquery.sessionTimeout.js']
        }
      }
    },
    uglify: {
      build: {
        src  : 'assets/time_out/jquery.sessionTimeout.js',
        dest : 'assets/time_out/jquery.sessionTimeout.min.js'
      }
    }
  });

  grunt.loadNpmTasks('grunt-contrib-jshint');
  grunt.loadNpmTasks('grunt-contrib-uglify');

  grunt.registerTask('default', ['jshint', 'uglify']);
  grunt.registerTask('test', ['jshint']);
};